#
# spec file for package killbots
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           killbots
BuildRequires:  libkdegames-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  kconfig-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  ki18n-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kio-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kdelibs4support-devel
Summary:        Robots-like game for KDE
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Version:        16.04.1
Release:        0
Source0:        killbots-%{version}.tar.xz
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Killbots is a simple game of evading killer robots. Who created the robots and why they have been programmed to destroy, no one knows. All that is known is that the robots are numerous and their sole objective is to destroy you. Fortunately for you, their creator has focused on quantity rather than quality and as a result the robots are severely lacking in intelligence. Your superior wit and a fancy teleportation device are your only weapons against the never-ending stream of mindless automatons.


%prep
%setup -q -n killbots-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%files 
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kf5_bindir}/killbots
%{_kf5_htmldir}/en/killbots/
%{_kf5_applicationsdir}/org.kde.killbots.desktop
%{_kf5_iconsdir}/hicolor/*/apps/killbots.*
%{_datadir}/killbots/
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/killbots.kcfg
%_datadir/kxmlgui5/killbots/

%changelog
